Index: src/main/java/com/example/cookbook/controller/VrabotenController.java
===================================================================
--- src/main/java/com/example/cookbook/controller/VrabotenController.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/java/com/example/cookbook/controller/VrabotenController.java	(revision ee276857e882c951c22c0041683ace305d6d6de6)
@@ -3,10 +3,15 @@
 
 import com.example.cookbook.model.Naracka;
+import com.example.cookbook.model.Recept;
+import com.example.cookbook.model.Stavka;
 import com.example.cookbook.service.NarackiService;
 import org.springframework.stereotype.Controller;
 import org.springframework.ui.Model;
 import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestParam;
 
 import java.sql.SQLException;
+import java.time.LocalDateTime;
 import java.util.List;
 
@@ -33,3 +38,20 @@
         return "naracki";
     }
+
+    @GetMapping("/naracki/naracka")
+    public String getNarackaPage(@RequestParam String telefon,
+                                 @RequestParam LocalDateTime vreme,
+                                 Model model){
+
+        List<Stavka> stavkiVoNaracka = null;
+        try {
+            stavkiVoNaracka = narcakiService.findByTelAndVreme(telefon, vreme);
+        } catch (SQLException e) {
+            return "redirect:/error-page/SQL%20Exception";
+        }
+
+        model.addAttribute("stavki", stavkiVoNaracka);
+
+        return "stavka";
+    }
 }
Index: src/main/java/com/example/cookbook/model/Komentar.java
===================================================================
--- src/main/java/com/example/cookbook/model/Komentar.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/java/com/example/cookbook/model/Komentar.java	(revision ee276857e882c951c22c0041683ace305d6d6de6)
@@ -87,5 +87,5 @@
 
     public String getDataFormatirana(){
-        return komData.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm"));
+        return komData.format(DateTimeFormatter.ofPattern("yyyy-MMM-dd HH:mm"));
     }
 }
Index: src/main/java/com/example/cookbook/model/Stavka.java
===================================================================
--- src/main/java/com/example/cookbook/model/Stavka.java	(revision ee276857e882c951c22c0041683ace305d6d6de6)
+++ src/main/java/com/example/cookbook/model/Stavka.java	(revision ee276857e882c951c22c0041683ace305d6d6de6)
@@ -0,0 +1,58 @@
+package com.example.cookbook.model;
+
+import java.time.LocalDateTime;
+import java.time.format.DateTimeFormatter;
+
+public class Stavka {
+    private LocalDateTime vreme;
+    private String telefon;
+    private String recIme;
+    private String nacin;
+
+    public LocalDateTime getVreme() {
+        return vreme;
+    }
+
+    public void setVreme(LocalDateTime vreme) {
+        this.vreme = vreme;
+    }
+
+    public String getTelefon() {
+        return telefon;
+    }
+
+    public void setTelefon(String telefon) {
+        this.telefon = telefon;
+    }
+
+
+
+    public String getNacin() {
+        return nacin;
+    }
+
+    public void setNacin(String nacin) {
+        this.nacin = nacin;
+    }
+
+    public String getRecIme() {
+        return recIme;
+    }
+
+    public void setRecIme(String recIme) {
+        this.recIme = recIme;
+    }
+
+    public Stavka(LocalDateTime vreme, String telefon, String recIme, String nacin) {
+        this.vreme = vreme;
+        this.telefon = telefon;
+        this.recIme = recIme;
+        this.nacin = nacin;
+    }
+    public String getDataFormatirana(){
+        return vreme.format(DateTimeFormatter.ofPattern("yyyy-MMM-dd HH:mm"));
+    }
+
+    public Stavka() {
+    }
+}
Index: src/main/java/com/example/cookbook/repository/NarackiRepository.java
===================================================================
--- src/main/java/com/example/cookbook/repository/NarackiRepository.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/java/com/example/cookbook/repository/NarackiRepository.java	(revision ee276857e882c951c22c0041683ace305d6d6de6)
@@ -4,10 +4,9 @@
 import com.example.cookbook.dbConfig.DB;
 import com.example.cookbook.model.Naracka;
+import com.example.cookbook.model.Recept;
+import com.example.cookbook.model.Stavka;
 import org.springframework.stereotype.Repository;
 
-import java.sql.Connection;
-import java.sql.ResultSet;
-import java.sql.SQLException;
-import java.sql.Statement;
+import java.sql.*;
 import java.time.LocalDateTime;
 import java.util.ArrayList;
@@ -39,3 +38,30 @@
         return naracki;
     }
+
+    public List<Stavka> findByTelAndVreme(String telefon, LocalDateTime vreme) throws SQLException {
+
+        Connection connection = DB.getConnection();
+        String query = "select sk.vreme, sk.telefon, r.rec_ime, nacin from so_koi sk\n" +
+                "        left join recepti r on r.rec_id = sk.rec_id\n" +
+                "where vreme = ? and telefon = ?;";
+        PreparedStatement prepStm = connection.prepareStatement(query);
+
+        prepStm.setObject(1, vreme);
+        prepStm.setString(2, telefon);
+
+        ResultSet result = prepStm.executeQuery();
+        List<Stavka> stavki = new ArrayList<>();
+        while (result.next()){
+            Stavka stavka = new Stavka();
+            stavka.setRecIme(result.getString("rec_ime"));
+            stavka.setTelefon(result.getString("telefon"));
+            stavka.setNacin(result.getString("nacin"));
+            stavka.setVreme(result.getObject("vreme", LocalDateTime.class));
+            stavki.add(stavka);
+        }
+        DB.closeConnection();
+        result.close();
+        prepStm.close();
+        return stavki;
+    }
 }
Index: src/main/java/com/example/cookbook/service/NarackiService.java
===================================================================
--- src/main/java/com/example/cookbook/service/NarackiService.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/java/com/example/cookbook/service/NarackiService.java	(revision ee276857e882c951c22c0041683ace305d6d6de6)
@@ -2,6 +2,9 @@
 
 import com.example.cookbook.model.Naracka;
+import com.example.cookbook.model.Recept;
+import com.example.cookbook.model.Stavka;
 
 import java.sql.SQLException;
+import java.time.LocalDateTime;
 import java.util.List;
 
@@ -9,3 +12,5 @@
 
     List<Naracka> listAll() throws SQLException;
+
+    List<Stavka> findByTelAndVreme(String telefon, LocalDateTime vreme) throws SQLException;
 }
Index: src/main/java/com/example/cookbook/service/impl/NarackiServiceImpl.java
===================================================================
--- src/main/java/com/example/cookbook/service/impl/NarackiServiceImpl.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/java/com/example/cookbook/service/impl/NarackiServiceImpl.java	(revision ee276857e882c951c22c0041683ace305d6d6de6)
@@ -3,4 +3,6 @@
 
 import com.example.cookbook.model.Naracka;
+import com.example.cookbook.model.Recept;
+import com.example.cookbook.model.Stavka;
 import com.example.cookbook.repository.NarackiRepository;
 import com.example.cookbook.service.NarackiService;
@@ -8,4 +10,5 @@
 
 import java.sql.SQLException;
+import java.time.LocalDateTime;
 import java.util.List;
 
@@ -23,3 +26,8 @@
         return narackiRepository.findAll();
     }
+
+    @Override
+    public List<Stavka> findByTelAndVreme(String telefon, LocalDateTime vreme) throws SQLException {
+        return narackiRepository.findByTelAndVreme(telefon, vreme);
+    }
 }
Index: src/main/resources/templates/naracki.html
===================================================================
--- src/main/resources/templates/naracki.html	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/resources/templates/naracki.html	(revision ee276857e882c951c22c0041683ace305d6d6de6)
@@ -48,5 +48,5 @@
             <td th:text="${naracka.telefon}"></td>
             <td>
-                <form th:method="POST" th:action="@{/naracki/naracka}">
+                <form th:method="GET" th:action="@{/naracki/naracka}">
                     <input type="datetime-local" hidden th:value="${naracka.vreme}" th:name="vreme">
                     <input type="text" hidden th:value="${naracka.telefon}" th:name="telefon">
Index: src/main/resources/templates/stavka.html
===================================================================
--- src/main/resources/templates/stavka.html	(revision ee276857e882c951c22c0041683ace305d6d6de6)
+++ src/main/resources/templates/stavka.html	(revision ee276857e882c951c22c0041683ace305d6d6de6)
@@ -0,0 +1,67 @@
+<!DOCTYPE html>
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:th="http://www.thymeleaf.org">
+<head>
+  <meta charset="UTF-8">
+  <title>Home page</title>
+  <!-- Add Bootstrap CSS link -->
+  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
+</head>
+<body>
+<!-- Bootstrap Navbar -->
+<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
+  <a class="navbar-brand" href="#">
+    CookBook
+  </a>
+  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
+    <span class="navbar-toggler-icon"></span>
+  </button>
+  <div class="collapse navbar-collapse" id="navbarNav">
+    <ul class="navbar-nav ml-auto">
+      <li class="nav-item active">
+        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
+      </li>
+      <li class="nav-item">
+        <a class="nav-link" th:href="@{/naracki}">Naracki</a>
+      </li>
+      <li class="nav-item">
+        <a class="nav-link" href="#">Contact</a>
+      </li>
+    </ul>
+  </div>
+</nav>
+
+<div class="container mt-5">
+  <h1>This is items of the order</h1>
+
+  <table class="table">
+    <thead>
+    <tr>
+      <th>Vreme na narckata</th>
+      <th>Kontakt</th>
+      <th>Ime recept</th>
+      <th>Nacin</th>
+      <th>Action</th>
+    </tr>
+    </thead>
+    <tbody>
+    <tr th:each="stavka: ${stavki}">
+      <td th:text="${stavka.getDataFormatirana()}"></td>
+      <td th:text="${stavka.telefon}"></td>
+      <td th:text="${stavka.recIme}"></td>
+      <td th:text="${stavka.nacin}"></td>
+      <td>
+        <button class="btn btn-primary">View</button>
+        <button class="btn btn-danger" disabled>Delete</button>
+      </td>
+    </tr>
+    </tbody>
+  </table>
+</div>
+
+<!-- Add Bootstrap JS and Popper.js scripts (required for Bootstrap components) -->
+<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
+<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
+<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
+</body>
+</html>
